ZIP_COMPRESSION_METHOD_SUPPORTED(3)

NAME
zip_compression_method_supported - return if a compression method is supported

LIBRARY
libzip (-lzip)

SYNOPSIS
#include <zip.h>
int
zip_compression_method_supported(zip_int32_t method, int compress);

DESCRIPTION
The zip_compression_method_supported() returns if the compression method method is supported for compression (if compress is zero) or decompression (otherwise).

RETURN VALUES
Returns 1 if the method is supported, 0 otherwise.

SEE ALSO
libzip(3), zip_encryption_method_supported(3), zip_set_file_compression(3)

HISTORY
zip_compression_method_supported() was added in libzip 1.7.0.

AUTHORS
-nosplit Dieter Baron <dillo@nih.at> and Thomas Klausner <tk@giga.or.at>